const require_utils = require("../../dataSourceForm/utils.js");
const require_useValueMap = require("../../hooks/useValueMap.js");
//#region src/components/dataSourceComponents/fields/Select/ReadPretty.tsx
const SelectReadPretty = (props) => {
	const { value, options, renderMode } = props;
	return require_utils.renderValueWithMap(value, require_useValueMap.default(options || []), renderMode);
};
//#endregion
exports.default = SelectReadPretty;
